Update a note Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
PUT /api/v1/note/{uuid}

Path parameters

  • uuid string Required
application/json

Body

  • contents string Required

    The note's contents.

  • type string

    Type of note. Available note types are: call, note, meeting and email

  • path string

    Note path, used for note grouping

  • is_pinned boolean

    Is this note pinned to the top of any results

  • visible_to_clients boolean

    Is this note visible to client accounts

  • created_at string(date)

    Timestamp the note was created at

PUT /api/v1/note/{uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/note/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"contents":"This guy rocks.","type":"meeting","path":"gifts","is_pinned":false,"visible_to_clients":false,"created_at":"2026-05-30"}'
Request examples
{
  "contents": "This guy rocks.",
  "type": "meeting",
  "path": "gifts",
  "is_pinned": false,
  "visible_to_clients": false,
  "created_at": "2026-05-30"
}